"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = exports.About = void 0;
var _core = require("@shockpkg/core");
var _meta = require("../meta.js");
var _command = require("../command.js");
/**
 * About command.
 */
class About extends _command.Command {
  /**
   * Description.
   */
  static description = 'Show info about CLI.';

  /**
   * Examples.
   */
  static examples = [];

  /**
   * Flags.
   */
  static flags = {
    help: _command.Flags.help({
      char: 'h'
    })
  };

  /**
   * Arguments.
   */
  static args = {};

  /**
   * Handler.
   */
  async run() {
    await this.parse(About);
    this.log('Version:');
    this.log(`  ${_meta.NAME}: ${_meta.VERSION}`);
    this.log('');
    this.log('Library Versions:');
    for (const info of [[_core.NAME, _core.VERSION]]) {
      this.log(`  ${info[0]}: ${info[1]}`);
    }
    this.log('');
    this.log('Info:');
    const m = this._manager();
    this.log(`  Install Path: ${m.path}`);
    this.log(`  Packages URL: ${m.packagesUrl}`);
    try {
      await m.load();
    } catch {
      // Ignore any read or parse errors.
    }
    this.log(`  Packages Loaded: ${m.loaded ? 'true' : 'false'}`);
    this.log('');
  }
}
exports.About = About;
var _default = exports.default = About;
//# sourceMappingURL=about.js.map