"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = exports.Available = void 0;
var _command = require("../command.js");
/**
 * Available command.
 */
class Available extends _command.Command {
  /**
   * Description.
   */
  static description = 'List the available packages not installed.';

  /**
   * Examples.
   */
  static examples = [];

  /**
   * Flags.
   */
  static flags = {
    help: _command.Flags.help({
      char: 'h'
    })
  };

  /**
   * Arguments.
   */
  static args = {};

  /**
   * Handler.
   */
  async run() {
    await this.parse(Available);
    const m = this._manager();
    const installed = await m.installed();
    const installedSet = new Set(installed);
    for await (const pkg of m.packages()) {
      if (!installedSet.has(pkg)) {
        this.log(pkg.name);
      }
    }
  }
}
exports.Available = Available;
var _default = exports.default = Available;
//# sourceMappingURL=available.js.map