"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = exports.Cleanup = void 0;
var _command = require("../command.js");
/**
 * Cleanup command.
 */
class Cleanup extends _command.Command {
  /**
   * Description.
   */
  static description = 'Cleanup temporary files and obsolete packages.';

  /**
   * Examples.
   */
  static examples = [];

  /**
   * Flags.
   */
  static flags = {
    help: _command.Flags.help({
      char: 'h'
    })
  };

  /**
   * Arguments.
   */
  static args = {};

  /**
   * Handler.
   */
  async run() {
    await this.parse(Cleanup);
    const m = this._manager();
    m.eventPackageCleanupBefore.on(e => {
      this.log(e.package);
    });
    m.eventPackageCleanupAfter.on(e => {
      // Should not normally happen, but possible.
      if (!e.removed) {
        this.warn(`nothing to remove for: ${e.package}`);
      }
    });
    await m.cleanup();
  }
}
exports.Cleanup = Cleanup;
var _default = exports.default = Cleanup;
//# sourceMappingURL=cleanup.js.map