"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = exports.File = void 0;
var _command = require("../command.js");
/**
 * File command.
 */
class File extends _command.Command {
  /**
   * Description.
   */
  static description = 'Get package file path.';

  /**
   * Examples.
   */
  static examples = [];

  /**
   * Flags.
   */
  static flags = {
    help: _command.Flags.help({
      char: 'h'
    })
  };

  /**
   * Arguments.
   */
  static args = {
    package: _command.Args.string({
      name: 'package',
      required: true,
      description: 'Package ID.'
    })
  };

  /**
   * Handler.
   */
  async run() {
    const {
      args
    } = await this.parse(File);
    const m = this._manager();
    const file = await m.file(args.package);
    this.log(file);
  }
}
exports.File = File;
var _default = exports.default = File;
//# sourceMappingURL=file.js.map