"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = exports.HelpCommand = void 0;
var _command = require("../command.js");
/**
 * Help command.
 */
class HelpCommand extends _command.Command {
  /**
   * Description.
   */
  static description = 'Show CLI help.';

  /**
   * Examples.
   */
  static examples = [];

  /**
   * Flags.
   */
  static flags = {
    recursive: _command.Flags.boolean({
      description: 'Include all child commands in output.',
      char: 'r'
    })
  };

  /**
   * Arguments.
   */
  static args = {
    command: _command.Args.string({
      name: 'command',
      required: false,
      description: 'Command to show help for.'
    })
  };

  /**
   * Strict mode.
   */
  static strict = false;

  /**
   * Handler.
   */
  async run() {
    const {
      flags,
      argv
    } = await this.parse(HelpCommand);
    const help = new _command.Help(this.config, {
      all: flags.recursive
    });
    await help.showHelp(argv);
  }
}
exports.HelpCommand = HelpCommand;
var _default = exports.default = HelpCommand;
//# sourceMappingURL=help.js.map