"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = exports.Installed = void 0;
var _command = require("../command.js");
/**
 * Installed command.
 */
class Installed extends _command.Command {
  /**
   * Description.
   */
  static description = 'List the installed packages.';

  /**
   * Examples.
   */
  static examples = [];

  /**
   * Flags.
   */
  static flags = {
    help: _command.Flags.help({
      char: 'h'
    })
  };

  /**
   * Arguments.
   */
  static args = {};

  /**
   * Handler.
   */
  async run() {
    await this.parse(Installed);
    const m = this._manager();
    const installed = await m.installed();
    for (const pkg of installed) {
      this.log(pkg.name);
    }
  }
}
exports.Installed = Installed;
var _default = exports.default = Installed;
//# sourceMappingURL=installed.js.map