"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = exports.IsInstalled = void 0;
var _command = require("../command.js");
/**
 * IsInstalled command.
 */
class IsInstalled extends _command.Command {
  /**
   * Description.
   */
  static description = 'Check package is installed.';

  /**
   * Examples.
   */
  static examples = [];

  /**
   * Flags.
   */
  static flags = {
    help: _command.Flags.help({
      char: 'h'
    })
  };

  /**
   * Arguments.
   */
  static args = {
    package: _command.Args.string({
      name: 'package',
      required: true,
      description: 'Package ID.'
    })
  };

  /**
   * Handler.
   */
  async run() {
    const {
      args
    } = await this.parse(IsInstalled);
    const m = this._manager();
    const installed = await m.isInstalled(args.package);
    if (!installed) {
      throw new Error('Package is not installed');
    }
    this.log('installed');
  }
}
exports.IsInstalled = IsInstalled;
var _default = exports.default = IsInstalled;
//# sourceMappingURL=is-installed.js.map