"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = exports.IsObsolete = void 0;
var _command = require("../command.js");
/**
 * IsObsolete command.
 */
class IsObsolete extends _command.Command {
  /**
   * Description.
   */
  static description = 'Check package is obsolete.';

  /**
   * Examples.
   */
  static examples = [];

  /**
   * Flags.
   */
  static flags = {
    help: _command.Flags.help({
      char: 'h'
    })
  };

  /**
   * Arguments.
   */
  static args = {
    package: _command.Args.string({
      name: 'package',
      required: true,
      description: 'Package ID.'
    })
  };

  /**
   * Handler.
   */
  async run() {
    const {
      args
    } = await this.parse(IsObsolete);
    const m = this._manager();
    const installed = await m.isInstalled(args.package);
    if (!installed) {
      throw new Error('Package is not installed');
    }
    const obsolete = await m.isObsolete(args.package);
    if (!obsolete) {
      throw new Error('Package is not obsolete');
    }
    this.log('obsolete');
  }
}
exports.IsObsolete = IsObsolete;
var _default = exports.default = IsObsolete;
//# sourceMappingURL=is-obsolete.js.map