"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = exports.List = void 0;
var _command = require("../command.js");
/**
 * List command.
 */
class List extends _command.Command {
  /**
   * Description.
   */
  static description = 'List all the packages in the package list.';

  /**
   * Examples.
   */
  static examples = [];

  /**
   * Flags.
   */
  static flags = {
    help: _command.Flags.help({
      char: 'h'
    })
  };

  /**
   * Arguments.
   */
  static args = {};

  /**
   * Handler.
   */
  async run() {
    await this.parse(List);
    const m = this._manager();
    for await (const pkg of m.packages()) {
      this.log(pkg.name);
    }
  }
}
exports.List = List;
var _default = exports.default = List;
//# sourceMappingURL=list.js.map