"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = exports.Obsolete = void 0;
var _command = require("../command.js");
/**
 * Obsolete command.
 */
class Obsolete extends _command.Command {
  /**
   * Description.
   */
  static description = 'List obsolete installed packages.';

  /**
   * Examples.
   */
  static examples = [];

  /**
   * Flags.
   */
  static flags = {
    help: _command.Flags.help({
      char: 'h'
    })
  };

  /**
   * Arguments.
   */
  static args = {};

  /**
   * Handler.
   */
  async run() {
    await this.parse(Obsolete);
    const m = this._manager();
    const obsolete = await m.obsolete();
    for (const pkg of obsolete) {
      this.log(pkg);
    }
  }
}
exports.Obsolete = Obsolete;
var _default = exports.default = Obsolete;
//# sourceMappingURL=obsolete.js.map