"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = exports.Outdated = void 0;
var _command = require("../command.js");
/**
 * Outdated command.
 */
class Outdated extends _command.Command {
  /**
   * Description.
   */
  static description = 'List outdated installed packages.';

  /**
   * Examples.
   */
  static examples = [];

  /**
   * Flags.
   */
  static flags = {
    help: _command.Flags.help({
      char: 'h'
    })
  };

  /**
   * Arguments.
   */
  static args = {};

  /**
   * Handler.
   */
  async run() {
    await this.parse(Outdated);
    const m = this._manager();
    const outdated = await m.outdated();
    for (const pkg of outdated) {
      this.log(pkg.name);
    }
  }
}
exports.Outdated = Outdated;
var _default = exports.default = Outdated;
//# sourceMappingURL=outdated.js.map