"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = exports.Remove = void 0;
var _command = require("../command.js");
/**
 * Remove command.
 */
class Remove extends _command.Command {
  /**
   * Description.
   */
  static description = 'Remove packages.';

  /**
   * Examples.
   */
  static examples = [];

  /**
   * Flags.
   */
  static flags = {
    help: _command.Flags.help({
      char: 'h'
    })
  };

  /**
   * Arguments.
   */
  static args = {
    packages: _command.Args.string({
      name: 'packages',
      required: true,
      description: 'List of packages to be removed.'
    })
  };

  /**
   * Allow variable length arguments.
   */
  static strict = false;

  /**
   * Handler.
   */
  async run() {
    const {
      argv
    } = await this.parse(Remove);
    const m = this._manager();
    for (const pkg of argv) {
      this.log(pkg);
      // eslint-disable-next-line no-await-in-loop
      const removed = await m.remove(pkg);
      if (!removed) {
        this.warn(`nothing to remove for: ${pkg}`);
      }
    }
  }
}
exports.Remove = Remove;
var _default = exports.default = Remove;
//# sourceMappingURL=remove.js.map