"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = exports.Upgrade = void 0;
var _command = require("../command.js");
/**
 * Upgrade command.
 */
class Upgrade extends _command.Command {
  /**
   * Description.
   */
  static description = 'Upgrade all outdated packages.';

  /**
   * Examples.
   */
  static examples = [];

  /**
   * Flags.
   */
  static flags = {
    help: _command.Flags.help({
      char: 'h'
    })
  };

  /**
   * Arguments.
   */
  static args = {};

  /**
   * Handler.
   */
  async run() {
    await this.parse(Upgrade);
    const m = this._manager();
    this._installEvents(m, 'upgrade');
    const report = await m.upgrade();
    const {
      installed,
      skipped
    } = this._installReportCounts(report);
    this.log('');
    this.log(`upgraded: ${installed}`);
    this.log(`skipped: ${skipped}`);
  }
}
exports.Upgrade = Upgrade;
var _default = exports.default = Upgrade;
//# sourceMappingURL=upgrade.js.map