"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = exports.Verify = void 0;
var _command = require("../command.js");
/**
 * Verify command.
 */
class Verify extends _command.Command {
  /**
   * Description.
   */
  static description = 'Verify an installed package.';

  /**
   * Examples.
   */
  static examples = [];

  /**
   * Flags.
   */
  static flags = {
    help: _command.Flags.help({
      char: 'h'
    })
  };

  /**
   * Arguments.
   */
  static args = {
    package: _command.Args.string({
      name: 'package',
      required: true,
      description: 'Package ID.'
    })
  };

  /**
   * Handler.
   */
  async run() {
    const {
      args
    } = await this.parse(Verify);
    const m = this._manager();
    await m.packageInstallVerify(args.package);
    this.log('verified');
  }
}
exports.Verify = Verify;
var _default = exports.default = Verify;
//# sourceMappingURL=verify.js.map