import { Command, Flags } from "../command.mjs";

/**
 * Available command.
 */
export class Available extends Command {
  /**
   * Description.
   */
  static description = 'List the available packages not installed.';

  /**
   * Examples.
   */
  static examples = [];

  /**
   * Flags.
   */
  static flags = {
    help: Flags.help({
      char: 'h'
    })
  };

  /**
   * Arguments.
   */
  static args = {};

  /**
   * Handler.
   */
  async run() {
    await this.parse(Available);
    const m = this._manager();
    const installed = await m.installed();
    const installedSet = new Set(installed);
    for await (const pkg of m.packages()) {
      if (!installedSet.has(pkg)) {
        this.log(pkg.name);
      }
    }
  }
}
export default Available;
//# sourceMappingURL=available.mjs.map