import { Command, Flags, Args } from "../command.mjs";

/**
 * File command.
 */
export class File extends Command {
  /**
   * Description.
   */
  static description = 'Get package file path.';

  /**
   * Examples.
   */
  static examples = [];

  /**
   * Flags.
   */
  static flags = {
    help: Flags.help({
      char: 'h'
    })
  };

  /**
   * Arguments.
   */
  static args = {
    package: Args.string({
      name: 'package',
      required: true,
      description: 'Package ID.'
    })
  };

  /**
   * Handler.
   */
  async run() {
    const {
      args
    } = await this.parse(File);
    const m = this._manager();
    const file = await m.file(args.package);
    this.log(file);
  }
}
export default File;
//# sourceMappingURL=file.mjs.map