import { Command, Flags } from "../command.mjs";

/**
 * Installed command.
 */
export class Installed extends Command {
  /**
   * Description.
   */
  static description = 'List the installed packages.';

  /**
   * Examples.
   */
  static examples = [];

  /**
   * Flags.
   */
  static flags = {
    help: Flags.help({
      char: 'h'
    })
  };

  /**
   * Arguments.
   */
  static args = {};

  /**
   * Handler.
   */
  async run() {
    await this.parse(Installed);
    const m = this._manager();
    const installed = await m.installed();
    for (const pkg of installed) {
      this.log(pkg.name);
    }
  }
}
export default Installed;
//# sourceMappingURL=installed.mjs.map