import { Command, Flags } from "../command.mjs";

/**
 * List command.
 */
export class List extends Command {
  /**
   * Description.
   */
  static description = 'List all the packages in the package list.';

  /**
   * Examples.
   */
  static examples = [];

  /**
   * Flags.
   */
  static flags = {
    help: Flags.help({
      char: 'h'
    })
  };

  /**
   * Arguments.
   */
  static args = {};

  /**
   * Handler.
   */
  async run() {
    await this.parse(List);
    const m = this._manager();
    for await (const pkg of m.packages()) {
      this.log(pkg.name);
    }
  }
}
export default List;
//# sourceMappingURL=list.mjs.map