import { Command, Flags } from "../command.mjs";

/**
 * Obsolete command.
 */
export class Obsolete extends Command {
  /**
   * Description.
   */
  static description = 'List obsolete installed packages.';

  /**
   * Examples.
   */
  static examples = [];

  /**
   * Flags.
   */
  static flags = {
    help: Flags.help({
      char: 'h'
    })
  };

  /**
   * Arguments.
   */
  static args = {};

  /**
   * Handler.
   */
  async run() {
    await this.parse(Obsolete);
    const m = this._manager();
    const obsolete = await m.obsolete();
    for (const pkg of obsolete) {
      this.log(pkg);
    }
  }
}
export default Obsolete;
//# sourceMappingURL=obsolete.mjs.map