import { Command, Flags } from "../command.mjs";

/**
 * Outdated command.
 */
export class Outdated extends Command {
  /**
   * Description.
   */
  static description = 'List outdated installed packages.';

  /**
   * Examples.
   */
  static examples = [];

  /**
   * Flags.
   */
  static flags = {
    help: Flags.help({
      char: 'h'
    })
  };

  /**
   * Arguments.
   */
  static args = {};

  /**
   * Handler.
   */
  async run() {
    await this.parse(Outdated);
    const m = this._manager();
    const outdated = await m.outdated();
    for (const pkg of outdated) {
      this.log(pkg.name);
    }
  }
}
export default Outdated;
//# sourceMappingURL=outdated.mjs.map