import { Command, Flags } from "../command.mjs";

/**
 * Upgrade command.
 */
export class Upgrade extends Command {
  /**
   * Description.
   */
  static description = 'Upgrade all outdated packages.';

  /**
   * Examples.
   */
  static examples = [];

  /**
   * Flags.
   */
  static flags = {
    help: Flags.help({
      char: 'h'
    })
  };

  /**
   * Arguments.
   */
  static args = {};

  /**
   * Handler.
   */
  async run() {
    await this.parse(Upgrade);
    const m = this._manager();
    this._installEvents(m, 'upgrade');
    const report = await m.upgrade();
    const {
      installed,
      skipped
    } = this._installReportCounts(report);
    this.log('');
    this.log(`upgraded: ${installed}`);
    this.log(`skipped: ${skipped}`);
  }
}
export default Upgrade;
//# sourceMappingURL=upgrade.mjs.map