import { Command, Flags, Args } from "../command.mjs";

/**
 * Verify command.
 */
export class Verify extends Command {
  /**
   * Description.
   */
  static description = 'Verify an installed package.';

  /**
   * Examples.
   */
  static examples = [];

  /**
   * Flags.
   */
  static flags = {
    help: Flags.help({
      char: 'h'
    })
  };

  /**
   * Arguments.
   */
  static args = {
    package: Args.string({
      name: 'package',
      required: true,
      description: 'Package ID.'
    })
  };

  /**
   * Handler.
   */
  async run() {
    const {
      args
    } = await this.parse(Verify);
    const m = this._manager();
    await m.packageInstallVerify(args.package);
    this.log('verified');
  }
}
export default Verify;
//# sourceMappingURL=verify.mjs.map